gr::gsm::clock_offset_control Class Referenceabstract

<+description of block+> More...

`#include <clock_offset_control.h>`

Inheritance diagram for gr::gsm::clock_offset_control:

## Public Types

typedef std::shared_ptr< clock_offset_control > | sptr

## Public Member Functions

virtual void | set_fc (float fc)=0
virtual void | set_samp_rate (float samp_rate)=0
virtual void | set_osr (unsigned int osr)=0

## Static Public Member Functions

static sptr | make (float fc, float samp_rate, unsigned int osr=4)
| Return a shared_ptr to a new instance of gsm::clock_offset_control.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<clock_offset_control> gr::gsm::clock_offset_control::sptr

## Member Function Documentation

## make()

sptr gr::gsm::clock_offset_control::make | ( | float | fc,
|  | float | samp_rate,
|  | unsigned int | osr = 4 )

static

Return a shared_ptr to a new instance of gsm::clock_offset_control.

To avoid accidental use of raw pointers, gsm::clock_offset_control's constructor is in a private implementation class. gsm::clock_offset_control::make is the public interface for creating new instances.

## set_fc()

virtual void gr::gsm::clock_offset_control::set_fc | ( | float | fc | ) |

pure virtual

Implemented in gr::gsm::clock_offset_control_impl.

## set_osr()

virtual void gr::gsm::clock_offset_control::set_osr | ( | unsigned int | osr | ) |

pure virtual

Implemented in gr::gsm::clock_offset_control_impl.

## set_samp_rate()

virtual void gr::gsm::clock_offset_control::set_samp_rate | ( | float | samp_rate | ) |

pure virtual

Implemented in gr::gsm::clock_offset_control_impl.

The documentation for this class was generated from the following file:

- clock_offset_control.h